Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
E17 has landed! Was: E17 is coming? (Part 7)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3, 4, 5, 6 ... 12, 13, 14  Next  
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
ppurka
Advocate
Advocate


Joined: 26 Dec 2004
Posts: 3214

PostPosted: Sun Mar 11, 2012 12:25 am    Post subject: Reply with quote

genstorm wrote:
lua-5.2.0 breaks current edje master
That is hard masked, and probably for a good reason.
_________________
emerge --quiet redefined | E17 vids: I, II | Now using kde4 :-/
Back to top
View user's profile Send private message
genstorm
Advocate
Advocate


Joined: 05 Apr 2007
Posts: 2482
Location: Austria

PostPosted: Sun Mar 11, 2012 9:52 am    Post subject: Reply with quote

Probably yes, but for some reason it got onto my system (it was masked only afterwards ;)).

So, this was JFYI - and because I thought it wasn't appropriate to open a blocker bug to lua-5.2.0 for a live overlay package.
_________________
backend.cpp:92:2: warning: #warning TODO - this error message is about as useful as a cooling unit in the arctic
Back to top
View user's profile Send private message
tclover
Guru
Guru


Joined: 10 Apr 2011
Posts: 322

PostPosted: Fri Mar 16, 2012 5:23 pm    Post subject: [solved] failed [again] to compile elementary Reply with quote

Somebody managed to compile elementary recently? Just trying to update e17 after a few weeks and elementary cannot be built with a compile error which looks like a missing header file is missing.

Quote:
Making all in po
make[2]: Entering directory `/var/tmp/portage/x11-libs/elementary-9999/work/elementary/po'
make elementary.pot-update
make[3]: Entering directory `/var/tmp/portage/x11-libs/elementary-9999/work/elementary/po'
make[3]: *** No rule to make target `.././src/edje_externals/elm_toggle.c', needed by `elementary.pot-update'. Stop.
make[3]: Leaving directory `/var/tmp/portage/x11-libs/elementary-9999/work/elementary/po'
make[2]: *** [elementary.pot] Error 2
make[2]: Leaving directory `/var/tmp/portage/x11-libs/elementary-9999/work/elementary/po'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/var/tmp/portage/x11-libs/elementary-9999/work/elementary'
make: *** [all] Error 2
emake failed


EDIT: problem soleved...just reformated my /var LV from reiserfs to ext4 because i lost my [...]/svn-src/enlightenment after a reboot and re-emerged the whole e17 set.
_________________
mkinitramfs-ll:topic 879125::(bar-)overlay
Back to top
View user's profile Send private message
avx
Advocate
Advocate


Joined: 21 Jun 2004
Posts: 2128

PostPosted: Wed Apr 18, 2012 8:41 pm    Post subject: Reply with quote

Just wanted to give e17 another shot, fetched it from Vapier's overlay (layman -a enlightenment), setup keywords for Live and `emerge enlightenment:0.17`. That worked, but `enlightenment_start` breaks with
Code:
<<<< Enlightenment Error >>>>
Enlightenment cannot initialize Ecore_X!


Googled for it, but found no working solution, so I'd just like to know, did I miss something or is it just a temporary breakage?
_________________
++++++++++[>+++++++>++++++++++>+++>+<<<<-]>++.>+.+++++++..+++.>++.<<+++++++++++++++.>.+++.------.--------.>+.>.
Back to top
View user's profile Send private message
ppurka
Advocate
Advocate


Joined: 26 Dec 2004
Posts: 3214

PostPosted: Wed Apr 18, 2012 11:09 pm    Post subject: Reply with quote

Can you post
Code:
emerge -pv evas ecore

_________________
emerge --quiet redefined | E17 vids: I, II | Now using kde4 :-/
Back to top
View user's profile Send private message
avx
Advocate
Advocate


Joined: 21 Jun 2004
Posts: 2128

PostPosted: Thu Apr 19, 2012 8:26 am    Post subject: Reply with quote

ppurka wrote:
Can you post
Code:
emerge -pv evas ecore
Haven't changed any flags yet, but sure.

Code:
# emerge -pv evas ecore

These are the packages that would be merged, in order:

Calculating dependencies  ... done!
[ebuild   R   *] media-libs/evas-9999::enlightenment  USE="X bmp eet fontconfig gif ico jpeg mmx nls opengl png ppm psd sdl sse svg threads tiff xcb (-altivec) -bidi -directfb -doc -fbcon -gles -sse3 -static-libs -tga -xpm" 0 kB
[ebuild   R   *] dev-libs/ecore-9999::enlightenment  USE="X evas inotify ipv6 nls opengl sdl ssl threads xcb xinerama -ares -curl -directfb -doc -fbcon -glib -gnutls -static-libs -test -tslib -xprint -xscreensaver" 0 kB


The only warning I get after emerge is done, is about having both X and xcb enabled and that it'll default to X. That should be fine, though, already worked in the past this way.
_________________
++++++++++[>+++++++>++++++++++>+++>+<<<<-]>++.>+.+++++++..+++.>++.<<+++++++++++++++.>.+++.------.--------.>+.>.
Back to top
View user's profile Send private message
ppurka
Advocate
Advocate


Joined: 26 Dec 2004
Posts: 3214

PostPosted: Thu Apr 19, 2012 10:59 am    Post subject: Reply with quote

Your flags seem fine. Do you have a second set of libraries installed?
_________________
emerge --quiet redefined | E17 vids: I, II | Now using kde4 :-/
Back to top
View user's profile Send private message
avx
Advocate
Advocate


Joined: 21 Jun 2004
Posts: 2128

PostPosted: Thu Apr 19, 2012 11:01 am    Post subject: Reply with quote

Somehow found a workaround - or it's normal...

while
Code:
# enlightenment_start
produces the error above,
Code:
echo "exec enlightenment_start" > /etc/X11/Sessions/e17
chmod +x /etc/X11/Sessions/e17
XSESSION=e17 startx
does work
_________________
++++++++++[>+++++++>++++++++++>+++>+<<<<-]>++.>+.+++++++..+++.>++.<<+++++++++++++++.>.+++.------.--------.>+.>.
Back to top
View user's profile Send private message
ppurka
Advocate
Advocate


Joined: 26 Dec 2004
Posts: 3214

PostPosted: Thu Apr 19, 2012 4:28 pm    Post subject: Reply with quote

avx wrote:
Somehow found a workaround - or it's normal...

while
Code:
# enlightenment_start
produces the error above,
Code:
echo "exec enlightenment_start" > /etc/X11/Sessions/e17
chmod +x /etc/X11/Sessions/e17
XSESSION=e17 startx
does work
Oh! You didn't have an X server running! enlightenment_start will not start an X server for you. This is why this "workaround" works - startx first starts the X server and then it launches enlightenment.
_________________
emerge --quiet redefined | E17 vids: I, II | Now using kde4 :-/
Back to top
View user's profile Send private message
Yminus
Apprentice
Apprentice


Joined: 06 Jan 2008
Posts: 173

PostPosted: Sun Apr 22, 2012 10:22 pm    Post subject: Reply with quote

I have trouble with e17 and TwinView. I have libreoffice impress and okular configured to show presentation on screen 2, but when I launch a presentation it is always shown on the screen from which it has been launched. In impress also the presenter console is shown on the same screen as the presentation, which makes it useless.
_________________
Göögle is evil!
To protect your privacy search the net with
https://www.ixquick.com
Back to top
View user's profile Send private message
Yminus
Apprentice
Apprentice


Joined: 06 Jan 2008
Posts: 173

PostPosted: Tue Apr 24, 2012 10:01 pm    Post subject: Reply with quote

Hm, maybe I should add some questions...

Is there anybody using e17 together with a nvidia graphic card and proprietary nvidia driver?

If so, can you confirm that presentations on display 2 (e.g. on an attached beamer or monitor) work for you?

Or do you experience the same problem?

Do you have an idea how to solve this problem? Do you have a custom xorg.conf or any workaround?
_________________
Göögle is evil!
To protect your privacy search the net with
https://www.ixquick.com
Back to top
View user's profile Send private message
ppurka
Advocate
Advocate


Joined: 26 Dec 2004
Posts: 3214

PostPosted: Tue Apr 24, 2012 11:59 pm    Post subject: Reply with quote

Yminus wrote:
Hm, maybe I should add some questions...

Is there anybody using e17 together with a nvidia graphic card and proprietary nvidia driver?
Yes.

Quote:
If so, can you confirm that presentations on display 2 (e.g. on an attached beamer or monitor) work for you?
Yes. But I haven't tried having the application on one screen and the presentation on the other screen.
Quote:
Or do you experience the same problem?

Do you have an idea how to solve this problem? Do you have a custom xorg.conf or any workaround?
Not sure how to help you. I don't have access to a dual monitor system right now.
_________________
emerge --quiet redefined | E17 vids: I, II | Now using kde4 :-/
Back to top
View user's profile Send private message
Clad in Sky
l33t
l33t


Joined: 04 May 2007
Posts: 778
Location: Germany

PostPosted: Wed Apr 25, 2012 5:36 am    Post subject: Reply with quote

Yes, using nvidia proprietary drivers but like ppurka I don't have a dual monitor setup. Sorry.
_________________
Kali Ma
Now it's autumn of the aeons
Dance with your sword
Now it's time for the harvest
Back to top
View user's profile Send private message
tclover
Guru
Guru


Joined: 10 Apr 2011
Posts: 322

PostPosted: Thu May 10, 2012 11:15 am    Post subject: media-gfx/exquisite Reply with quote

Hello fellow e17 gentooligan users,
I added media-gfx/exquisite ebuild the other day on my overlay (ref. my sig.) if some are interested in testing/using it. I did not quite read e17 news board lately and I've just noticed that media-gfx/exquisite-1.0 (splash based on EFL libraries) was released for quite some time now. I could have modified the default theme for an efenniht variant but alas the default theme does not work (for me?).

More annoying, e17-wm became more instable lately or rather a few days ago build is is rather instable: the wm is contantly fails for new pop (firefox) or simple windows open/close. I may downgrade to a previous svn version in few days if I had to keep restarting e17-wm.
_________________
mkinitramfs-ll:topic 879125::(bar-)overlay
Back to top
View user's profile Send private message
tomatopi
Tux's lil' helper
Tux's lil' helper


Joined: 18 Sep 2005
Posts: 130
Location: Ottawa

PostPosted: Mon Jun 11, 2012 9:45 pm    Post subject: Reply with quote

I tried an E17 update today and I'm having issues with ecore. I keep getting:

Code:

checking whether Ecore_Wayland module is to be built... no (dependency failed)
checking whether ecore_evas Wayland Shm support is to be built... yes
checking whether ecore_evas Wayland Shm support is built... no
checking whether ecore_evas Wayland Egl support is to be built... yes
checking whether ecore_evas Wayland Egl support is built... no
checking whether tests are built... no
checking whether examples are built... no
checking whether examples are installed... no
configure: error: conditional "EFL_HAVE_WNO_OVERRIDE_INIT" was never defined.
Usually this means the macro was only invoked conditionally.

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/dev-libs/ecore-9999/work/ecore/config.log
 * ERROR: dev-libs/ecore-9999 failed (configure phase):
 *   econf failed
 *
 * Call stack:
 *          ebuild.sh, line   85:  Called src_configure
 *        environment, line 3101:  Called enlightenment_src_configure
 *        environment, line 1610:  Called econf '--enable-ecore-con' '--enable-ecore-ipc' '--enable-ecore-file' '--enable-ecore-imf' '--enable-ecore-input' '--disable-ecore-win32' '--disable-ecore-wince' '--disable-ecore-evas-software-gdi' '--disable-ecore-evas-software-ddraw' '--disable-ecore-evas-direct3d' '--disable-ecore-evas-opengl-glew' '--disable-ecore-evas-software-16-ddraw' '--disable-ecore-evas-software-16-wince' '--disable-cares' '--enable-curl' '--disable-ecore-directfb' '--disable-doc' '--enable-ecore-evas' '--enable-ecore-input-evas' '--enable-ecore-imf-evas' '--enable-ecore-evas-software-buffer' '--disable-ecore-fb' '--disable-glib' '--enable-inotify' '--disable-ipv6' '--enable-ecore-sdl' '--disable-tests' '--enable-posix-threads' '--disable-tslib' '--enable-xim' '--enable-openssl' '--disable-gnutls' '--enable-ecore-evas-software-x11' '--enable-ecore-evas-software-16-x11' '--disable-ecore-evas-directfb' '--disable-ecore-evas-fb' '--enable-ecore-evas-opengl-x11' '--enable-ecore-x' '--disable-ecore-x-xcb' '--enable-ecore-x-xinerama' '--disable-ecore-x-xprint' '--enable-ecore-x-screensaver' '--disable-static'
 *   phase-helpers.sh, line  467:  Called die
 * The specific snippet of code:
 *            die "econf failed"


Has anybody ever seen this? I un-merged all of E17 since I was having a hardware issue and tried to re-install from scratch with no avail. Now I can't get E17 back and I'm feeling crippled without E17.
Back to top
View user's profile Send private message
ppurka
Advocate
Advocate


Joined: 26 Dec 2004
Posts: 3214

PostPosted: Tue Jun 12, 2012 7:25 am    Post subject: Reply with quote

There is a ticket: http://trac.enlightenment.org/e/ticket/1035

Try unmerging all efl related packages and then re-emerge them using an older revision. To do so, export the environment variable ESVN_REVISION before running emerge.
Code:
export ESVN_REVISION="71900" # for example I chose 71900 here
emerge eina eet <other packages>

_________________
emerge --quiet redefined | E17 vids: I, II | Now using kde4 :-/
Back to top
View user's profile Send private message
tomatopi
Tux's lil' helper
Tux's lil' helper


Joined: 18 Sep 2005
Posts: 130
Location: Ottawa

PostPosted: Tue Jun 12, 2012 12:32 pm    Post subject: Reply with quote

Thanks. I tried searching everywhere and couldn't find anything related.

E17 is such an efficient desktop, it makes you feel crippled when it doesn't work.

Not sure if it's related, but for the past few weeks I've been having deadlocks on my computer. The mouse pointer starts to slow, then jumps once or twice, then deadlock. If I'm fast enough to restart E once the cursor slows, it doesn't deadlock and resumes normal use, but that rarely happens. Only problem is I can't track it down to anything specific since I also had a video card failure and CPU overheating issues prior to the deadlocks happening. There's nothing in the logs at all and everything deadlocks including the network. I've been running LXDE since ecore wouldn't merge and I've had no deadlocks so I'm wondering if it's E17 related. I did go from an old nVidia card to a modern Radeon so the video drivers did change.
Back to top
View user's profile Send private message
ppurka
Advocate
Advocate


Joined: 26 Dec 2004
Posts: 3214

PostPosted: Tue Jun 12, 2012 1:16 pm    Post subject: Reply with quote

1. Are you using composite in e17?
2. If so, are you using the opengl backend for composite?
3. If your answer to 2. is yes, then try either disabling composite or changing to software backend. Do you still get lock ups with this setting?

If the answer to 3. is no, then it means that the problem is with your graphics drivers.
_________________
emerge --quiet redefined | E17 vids: I, II | Now using kde4 :-/
Back to top
View user's profile Send private message
Yminus
Apprentice
Apprentice


Joined: 06 Jan 2008
Posts: 173

PostPosted: Sat Jun 16, 2012 9:52 pm    Post subject: Reply with quote

Since today's update I cannot lock the screen from command line any more:

Code:
enlightenment_remote -desktop-lock
Error org.freedesktop.DBus.Error.UnknownMethod: Method "Lock" with signature "" on interface "org.enlightenment.wm.Desktop" doesn't exist


Code:
dbus-send --print-reply=literal --dest=org.enlightenment.wm.service /org/enlightenment/wm/RemoteObject org.enlightenment.wm.Desktop.Lock
Error org.freedesktop.DBus.Error.UnknownMethod: Method "Lock" with signature "" on interface "org.enlightenment.wm.Desktop" doesn't exist


Code:
qdbus org.enlightenment.wm.service /org/enlightenment/wm/RemoteObject
method QString org.freedesktop.DBus.Introspectable.Introspect()
method void org.enlightenment.wm.Core.Restart()
method void org.enlightenment.wm.Core.Shutdown()
method void org.enlightenment.wm.Module.Disable(QString)
method void org.enlightenment.wm.Module.Enable(QString)
method QDBusRawType::a(si) org.enlightenment.wm.Module.List()
method void org.enlightenment.wm.Module.Load(QString)
method void org.enlightenment.wm.Module.Unload(QString)
method void org.enlightenment.wm.Profile.Add(QString)
method void org.enlightenment.wm.Profile.Delete(QString)
method QString org.enlightenment.wm.Profile.Get()
method QStringList org.enlightenment.wm.Profile.List()
method void org.enlightenment.wm.Profile.Set(QString)


It used to look like this:
Code:
method QString org.freedesktop.DBus.Introspectable.Introspect()
method void org.enlightenment.wm.Core.Restart()
method void org.enlightenment.wm.Core.Shutdown()
method void org.enlightenment.wm.Module.Disable(QString)
method void org.enlightenment.wm.Module.Enable(QString)
method QDBusRawType::a(si) org.enlightenment.wm.Module.List()
method void org.enlightenment.wm.Module.Load(QString)
method void org.enlightenment.wm.Module.Unload(QString)
method void org.enlightenment.wm.Profile.Add(QString)
method void org.enlightenment.wm.Profile.Delete(QString)
method QString org.enlightenment.wm.Profile.Get()
method QStringList org.enlightenment.wm.Profile.List()
method void org.enlightenment.wm.Profile.Set(QString)
method QStringList org.enlightenment.wm.Language.List()
method int org.enlightenment.wm.Desktop.GetVirtualCount(int&)
method void org.enlightenment.wm.Desktop.Lock()
method void org.enlightenment.wm.Desktop.Show(int, int)
method void org.enlightenment.wm.Desktop.ShowByName(QString)
method void org.enlightenment.wm.Desktop.Unlock()
method void org.enlightenment.wm.Desktop.Background.Add(int, int, int, int, QString)
method void org.enlightenment.wm.Desktop.Background.Del(int, int, int, int)
method QDBusRawType::a(iiiis) org.enlightenment.wm.Desktop.Background.List()
method QString org.enlightenment.wm.Audit.Timers()


All the Desktop related calls are gone?

FIXED:

The module System -> DBus Extension has to be loaded.
_________________
Göögle is evil!
To protect your privacy search the net with
https://www.ixquick.com


Last edited by Yminus on Sun Jun 17, 2012 12:55 pm; edited 1 time in total
Back to top
View user's profile Send private message
nost4r
Apprentice
Apprentice


Joined: 08 Oct 2006
Posts: 164
Location: Bordeaux

PostPosted: Sun Jun 17, 2012 12:07 pm    Post subject: Reply with quote

Since 3 or 4 months, I can not update e17, all dependancy are ok but for e17, I get a message


Code:

Requested 'eeze >= 1.2.0' but version of eeze is 1.0.999.60848

Consider adjusting the PKG_CONFIG_PATH environment variable if you
installed software in a non-standard prefix.

Alternatively, you may set the environment variables E_FM_CFLAGS
and E_FM_LIBS to avoid the need to call pkg-config.
See the pkg-config man page for more details.

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/x11-wm/enlightenment-9999/work/e/config.log
 * ERROR: x11-wm/enlightenment-9999 failed (configure phase):
 *   econf failed
 *
 * Call stack:
 *          ebuild.sh, line   85:  Called src_configure
 *        environment, line 2997:  Called enlightenment_src_configure
 *        environment, line 1577:  Called econf '--disable-install-sysactions' '--enable-bluez' '--disable-doc' '--disable-exchange' '--disable-device-hal' '--disable-mount-hal' '--enable-nls' '--enable-pam' '--enable-device-udev' '--enable-mount-eeze' '--disable-mount-udisks' '--enable-conf-applications' '--enable-conf-dialogs' '--enable-conf-display' '--enable-conf-edgebindings' '--enable-conf-interaction' '--enable-conf-intl' '--enable-conf-keybindings' '--enable-conf-menus' '--enable-conf-paths' '--enable-conf-performance' '--enable-conf-randr' '--enable-conf-shelves' '--enable-conf-theme' '--enable-conf-wallpaper2' '--enable-conf-window-manipulation' '--enable-conf-window-remembers' '--enable-backlight' '--enable-battery' '--enable-clock' '--enable-comp' '--enable-connman' '--enable-cpufreq' '--enable-dropshadow' '--enable-everything' '--enable-fileman' '--enable-fileman-opinfo' '--enable-gadman' '--enable-ibar' '--enable-ibox' '--enable-illume2' '--enable-mixer' '--enable-msgbus' '--enable-notification' '--disable-ofono' '--enable-pager' '--enable-shot' '--enable-start' '--enable-syscon' '--enable-systray' '--enable-tasks' '--enable-temperature' '--enable-tiling' '--enable-winlist' '--enable-wizard' '--enable-xkbswitch' '--disable-static'
 *   phase-helpers.sh, line  467:  Called die
 * The specific snippet of code:
 *                      die "econf failed"
 *
 * If you need support, post the output of `emerge --info '=x11-wm/enlightenment-9999'`,
 * the complete build log and the output of `emerge -pqv '=x11-wm/enlightenment-9999'`.
 * This ebuild is from an overlay named 'enlightenment': '/var/lib/layman/enlightenment/'
/usr/lib64/portage/bin/isolated-functions.sh: ligne 214 : wait: « econf failed » : ce n'est pas un n° de processus ou une spécification de tâche valable
 * The complete build log is located at '/var/tmp/portage/x11-wm/enlightenment-9999/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/x11-wm/enlightenment-9999/temp/environment'.
 * Working directory: '/var/tmp/portage/x11-wm/enlightenment-9999/work/e'
 * S: '/var/tmp/portage/x11-wm/enlightenment-9999/work/e'
Back to top
View user's profile Send private message
Yminus
Apprentice
Apprentice


Joined: 06 Jan 2008
Posts: 173

PostPosted: Sun Jun 17, 2012 12:44 pm    Post subject: Reply with quote

@nost4r

Do you have a Symlink to /var/lib/layman/enlightenment/scripts/package.keywords.livecvs in /etc/portage/package.keywords/ ?

Check with:
Code:
ls -al /etc/portage/package.keywords/enlightenment
lrwxrwxrwx 1 root root 62 11. Mär 13:18 /etc/portage/package.keywords/enlightenment -> /var/lib/layman/enlightenment/scripts/package.keywords.livecvs


If not you can create it this way (under the assumption that /etc/portage/package.keywords is a directory not a file and the enlightenment overlay is in /var/lib/layman/enlightenment):
Code:
ln -s /var/lib/layman/enlightenment/scripts/package.keywords.livecvs /etc/portage/package.keywords/enlightenment

_________________
Göögle is evil!
To protect your privacy search the net with
https://www.ixquick.com
Back to top
View user's profile Send private message
Yminus
Apprentice
Apprentice


Joined: 06 Jan 2008
Posts: 173

PostPosted: Sun Jul 01, 2012 12:34 pm    Post subject: Reply with quote

Is there a way to export/import or update ~/.e configuration in a way it properly survives updates?

I experienced e17 crashes after updates due to broken personal configuration, i.e. e17 works fine after (re)moving the outdated ~/.e directory. But then I have to reconfigure everything by hand again.

My update process is:


  • System update:
    Code:
    layman -S
    eix-sync
    emerge -avuND world
    emerge -avc
    revdep-rebuild

  • e17 update:
    Code:
    emerge -av1 dev-libs/eina dev-libs/eet media-libs/evas dev-libs/ecore dev-libs/embryo media-libs/edje dev-libs/efreet dev-libs/e_dbus dev-libs/eeze x11-wm/enlightenment $(eix --in-overlay "enlightenment" -I --only-names | grep -E -v -e "dev-libs/eina|dev-libs/eet|media-libs/evas|dev-libs/ecore|dev-libs/embryo|media-libs/edje|dev-libs/efreet|dev-libs/e_dbus|dev-libs/eeze|x11-wm/enlightenment")
    emerge -avc
    revdep-rebuild

    The command above fist rebuilds the e17 components in recommended order. Then it rebuilds everything installed from the enlightenment overlay (except the already rebuild components).

_________________
Göögle is evil!
To protect your privacy search the net with
https://www.ixquick.com
Back to top
View user's profile Send private message
Ant P.
Advocate
Advocate


Joined: 18 Apr 2009
Posts: 2592
Location: UK

PostPosted: Mon Jul 16, 2012 4:54 pm    Post subject: Reply with quote

Hi, I tried to install this from the ::enlightenment overlay today (want to try it as an alternative to razor-qt), but it won't build with USE="-udev" (missing something called "ehal"), and pulls in an insane amount of deps with USE=udev. I don't need hotplugging, automounting or any of that cruft, is there any way to turn it off?
Back to top
View user's profile Send private message
ppurka
Advocate
Advocate


Joined: 26 Dec 2004
Posts: 3214

PostPosted: Tue Jul 17, 2012 3:14 am    Post subject: Reply with quote

Yminus wrote:
Is there a way to export/import or update ~/.e configuration in a way it properly survives updates?

I experienced e17 crashes after updates due to broken personal configuration, i.e. e17 works fine after (re)moving the outdated ~/.e directory. But then I have to reconfigure everything by hand again.
Not sure why you have this kind of trouble. My current configuration is more than 2 years old, and I haven't had any trouble with it.

I suspect you are using some external module which doesn't play well with upgrades. In the future instead of erasing the whole .e, first try to remove the configuration files of the external e modules (the ones from e_modules-*). These files will be under ~/.e/e/config/<profile>/module.<modulename>.*cfg.
Ant P. wrote:
Hi, I tried to install this from the ::enlightenment overlay today (want to try it as an alternative to razor-qt), but it won't build with USE="-udev" (missing something called "ehal"), and pulls in an insane amount of deps with USE=udev. I don't need hotplugging, automounting or any of that cruft, is there any way to turn it off?
I don't think you can avoid udev or hal while installing e17. hal is not currently in portage, but e17 still supports hal (for BSD I think) and tries to look for ehal that is some efl/e17 component that interfaces with hal. A lot of e17 modules depend on udev/hal - temperature, battery, are two that comes to my mind right now
_________________
emerge --quiet redefined | E17 vids: I, II | Now using kde4 :-/
Back to top
View user's profile Send private message
Holysword
l33t
l33t


Joined: 19 Nov 2006
Posts: 808
Location: Greece

PostPosted: Wed Jul 18, 2012 6:01 pm    Post subject: Reply with quote

Ant P. wrote:
Hi, I tried to install this from the ::enlightenment overlay today (want to try it as an alternative to razor-qt), but it won't build with USE="-udev" (missing something called "ehal"), and pulls in an insane amount of deps with USE=udev. I don't need hotplugging, automounting or any of that cruft, is there any way to turn it off?

I don't think it is really a drag to put udev in, it is a requirement of many packages, isn't it?
Plus, I don't think anyone should be using hal in gentoo anylonger. It is deprecated and evil.
_________________
"Nolite arbitrari quia venerim mittere pacem in terram non veni pacem mittere sed gladium" (Yeshua Ha Mashiach)
Who will save us from pulseaudio and systemd?
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Goto page Previous  1, 2, 3, 4, 5, 6 ... 12, 13, 14  Next
Page 5 of 14

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum